Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.beans
Class TableComponent

    java.lang.Object
      com.atomikos.beans.AbstractPropertyEditorComponent
          com.atomikos.beans.TableComponent

All Implemented Interfaces:
  PropertyEditorComponent, PropertyListener

    public class TableComponent

extends AbstractPropertyEditorComponent
implements PropertyListener

A component for editing indexed properties as a whole.

Constructor Summary
`TableComponent(IndexedProperty property)`

Method Summary
`void` | `deleteProperty(PropertiesTableModel table, int index)` Notification that the delete button was pressed, and thus the indicated property should be deleted from the table.
`void` | `editProperty(PropertiesTableModel table, int index)` Notification that the edit button was pressed, and the user thus wishes to edit the currently selected property in the given table.
`Component` | `getComponent()` To be overridden in subclasses.
`void` | `newProperty(PropertiesTableModel table)` Notification that the new button was pressed, and the user thus wishes to insert a new property in the given table.

Methods inherited from class com.atomikos.beans.AbstractPropertyEditorComponent
`getPropertyEditor, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableComponent

    public TableComponent(IndexedProperty property)
                   throws PropertyException

Throws:
  `PropertyException`

Method Detail

### getComponent

    public Component getComponent()

  Description copied from class: `AbstractPropertyEditorComponent`
  To be overridden in subclasses.

  Specified by:
    `getComponent` in interface `PropertyEditorComponent`
  Specified by:
    `getComponent` in class `AbstractPropertyEditorComponent`
  Returns:
    Component The component.

### newProperty

    public void newProperty(PropertiesTableModel table)

  Description copied from interface: `PropertyListener`
  Notification that the new button was pressed, and the user thus wishes to insert a new property in the given table.

  Specified by:
    `newProperty` in interface `PropertyListener`
  Parameters:
    `table` - The table model.

### deleteProperty

    public void deleteProperty(PropertiesTableModel table,
                               int index)

  Description copied from interface: `PropertyListener`
  Notification that the delete button was pressed, and thus the indicated property should be deleted from the table.

  Specified by:
    `deleteProperty` in interface `PropertyListener`
  Parameters:
    `table` - The table model.
    `index` - The index of the row to delete.

### editProperty

    public void editProperty(PropertiesTableModel table,
                             int index)

  Description copied from interface: `PropertyListener`
  Notification that the edit button was pressed, and the user thus wishes to edit the currently selected property in the given table.

  Specified by:
    `editProperty` in interface `PropertyListener`
  Parameters:
    `table` - The table model.
    `index` - Indicates which row to edit.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.